package hk.advanpro.cloud.api.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 用于标记请求接口地址及方法的标记
 * Created by yejianfei on 2017/8/12.
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface Url {

    String value();

    RequestMethod method() default RequestMethod.GET;
}
