package hk.advanpro.cloud.api.callback;

import hk.advanpro.cloud.api.result.ResponseResult;

/**
 * 请求失败响应回调接口。
 * 处理异常
 * 处理HTTP错误400，401，402，403，404，500
 * 处理业务逻辑错误
 * Created by yejianfei on 2017/8/12.
 */

public interface ResponseFailureCallback<T extends ResponseResult> {

    void call(Throwable throwable, T res);
}
