package hk.advanpro.cloud.api.result.cms;

import com.alibaba.fastjson.JSONObject;

import java.io.Serializable;
import java.util.Date;

/**
 * 百科内容详情
 */
public class BaikeResourcesDetailResult implements Serializable {

    String id;//主键
    String category_id;//分类主键
    String title;//标题
    String subtitle;//副标题
    String content;//资源内容 oss url
    String cover;//封面
    String keyword;//关键词 多个空格隔开
    String tag;//标签 多个空格隔开
    String effective_time;//生效时间
    Date expired_time;//失效时间
    /**
     * 资源类型
     * - 0:链接
     * - 1:轮播
     * - 2:图片
     * - 3:文章
     * - 4:网页
     * - 5:视频
     */
    int type;
    /**
     * 状态
     * -1:未发布
     * -2:已发布
     */
    int status;
    JSONObject extras;//扩展信息(不同资源, 可选参数，也可自定义)
    JSONObject creator;//创建者

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCategory_id() {
        return category_id;
    }

    public void setCategory_id(String category_id) {
        this.category_id = category_id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSubtitle() {
        return subtitle;
    }

    public void setSubtitle(String subtitle) {
        this.subtitle = subtitle;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getCover() {
        return cover;
    }

    public void setCover(String cover) {
        this.cover = cover;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getEffective_time() {
        return effective_time;
    }

    public void setEffective_time(String effective_time) {
        this.effective_time = effective_time;
    }

    public Date getExpired_time() {
        return expired_time;
    }

    public void setExpired_time(Date expired_time) {
        this.expired_time = expired_time;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public JSONObject getExtras() {
        return extras;
    }

    public void setExtras(JSONObject extras) {
        this.extras = extras;
    }

    public JSONObject getCreator() {
        return creator;
    }

    public void setCreator(JSONObject creator) {
        this.creator = creator;
    }
}
