package hk.advanpro.cloud.api.result.course;

import java.util.Date;
import java.util.List;

/**
 * Created by david on 2018/8/22.
 */

public class CourseHistoryResult {
    private Date day;//日期
    private float avg_score;//当日平均得分
    private float avg_health;//当日平均心脏健康指数
    private float percent;
    private List<OnDateResult>  training_list;//当日训练数据

    public float getPercent() {
        return percent;
    }

    public void setPercent(float percent) {
        this.percent = percent;
    }

    public Date getDay() {
        return day;
    }

    public void setDay(Date day) {
        this.day = day;
    }

    public float getAvg_score() {
        return avg_score;
    }

    public void setAvg_score(float avg_score) {
        this.avg_score = avg_score;
    }

    public float getAvg_health() {
        return avg_health;
    }

    public void setAvg_health(float avg_health) {
        this.avg_health = avg_health;
    }

    public List<OnDateResult> getTraining_list() { return training_list; }

    public void setTraining_list(List<OnDateResult> training_list) { this.training_list = training_list; }

    public static class OnDateResult{
        private Date update_time;//数据更新时间
        private float score;//训练得分
        private float avg_time;//训练闭气时间
        private List<OnPrizeResult> prize;//获得的奖章

        public Date getUpdate_time() {
            return update_time;
        }

        public void setUpdate_time(Date update_time) {
            this.update_time = update_time;
        }

        public float getScore() {
            return score;
        }

        public void setScore(float score) {
            this.score = score;
        }

        public float getAvg_time() { return avg_time; }

        public void setAvg_time(float avg_time) { this.avg_time = avg_time; }

        public List<OnPrizeResult> getPrize() {
            return prize;
        }

        public void setPrize(List<OnPrizeResult> prize) {
            this.prize = prize;
        }
    }

    public static class OnPrizeResult{
        private String code;//奖牌代码
        private String name;//奖牌名
        private String icons;//奖牌图标

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getIcons() {
            return icons;
        }

        public void setIcons(String icons) {
            this.icons = icons;
        }
    }

}
