package hk.advanpro.cloud.api.result.course;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.List;

/**
 * Created by david on 2018/8/20.
 */

public class CourseInfoResult implements Parcelable {


    /**
     * expired_date : 2018-09-29T01:45:26.415Z
     * extras : {"detail_desc":[{"title":"适用人群","content":"a.想改善呼吸方式的训练者\nb.存在过度呼吸症状的人群"},{"title":"禁忌人群","content":"医嘱建议不适合运动的人群"},{"title":"注意事项","content":"a.想改善呼吸方式的训练者\nb.存在过户呼吸症状的人群"}],"sub_title":"使身体、情绪、精神安定下来","teach_video":"video/c3400cb24d491e5fbd9a2a7c2fa51972.mp4"}
     * url :
     * settings : {"prize_strategy":0,"sys_schedule":false,"stats_lib":"laf/stats_moudle","duty_strategy":0}
     * effective_date : 2018-08-08T01:45:26.415Z
     * app : {"apply":"advanpro-laf-app","pos_id":"201891401208827904"}
     * brief_desc : 呼吸式是脏健康的个重要因素，呼吸量增加与慢性衰竭的正相关系，过度呼吸不仅会降低脏泵的能，也会减少液回流脏肌，导致脏氧不只有减少呼吸量才能够强健脏。
     本课程采屏息训练，通过提屏息能，达到降低呼吸量的的。屏息训练，是指在正常呼吸过程中有意地屏住呼吸直到体所能容忍的时长。更重要的是，该训练有助于我们重塑正确的呼吸式-轻呼吸，学会做对脏有益的呼吸。
     * total_hours : 2
     * chapters : [{"total_hours":1,"order":0,"id":"213200060480098359","name":"屏息时长数据采集","brief_desc":"配合智能呼吸裤训练，提高心脏健康指数，第一次训练前请进行数据采集，以获得更精准的数据","lessons":[{"order":0,"id":"213200060480098360","extras":{"is_origin":true},"name":"数据采集"}]},{"total_hours":1,"order":1,"id":"213200060480098361","name":"屏息训练","lessons":[{"order":0,"id":"213200060480098362","name":"潜水训练"}]}]
     * price : 15
     * app_version : 0.9.0
     * operator : {"creator":"200887306616442880","creator_name":"管理员","modify_time":"2018-07-12T07:40:55.490Z","create_time":"2018-07-12T07:40:55.490Z"}
     * category : 1
     * status : 1
     * id : 213200060480098358
     * icons : {"filename":"wikipedia/images/c636c3192c286883f6a6f9acf3158122.png"}
     * version : 0.9.0
     * name : 强健心脏
     */

    private String expired_date;
    private ExtrasBean extras;
    private String url;
    private SettingsBean settings;
    private String effective_date;
    private AppBean app;
    private String brief_desc;
    private int total_hours;
    private int price;
    private String app_version;
    private OperatorBean operator;
    private int category;
    private int status;
    private String id;
    private IconsBean icons;
    private String version;
    private String name;
    private List<ChaptersBean> chapters;
    StatDataBean stat_data;

    public String getExpired_date() {
        return expired_date;
    }

    public void setExpired_date(String expired_date) {
        this.expired_date = expired_date;
    }

    public ExtrasBean getExtras() {
        return extras;
    }

    public void setExtras(ExtrasBean extras) {
        this.extras = extras;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public SettingsBean getSettings() {
        return settings;
    }

    public void setSettings(SettingsBean settings) {
        this.settings = settings;
    }

    public String getEffective_date() {
        return effective_date;
    }

    public void setEffective_date(String effective_date) {
        this.effective_date = effective_date;
    }

    public AppBean getApp() {
        return app;
    }

    public void setApp(AppBean app) {
        this.app = app;
    }

    public String getBrief_desc() {
        return brief_desc;
    }

    public void setBrief_desc(String brief_desc) {
        this.brief_desc = brief_desc;
    }

    public int getTotal_hours() {
        return total_hours;
    }

    public void setTotal_hours(int total_hours) {
        this.total_hours = total_hours;
    }

    public int getPrice() {
        return price;
    }

    public void setPrice(int price) {
        this.price = price;
    }

    public String getApp_version() {
        return app_version;
    }

    public void setApp_version(String app_version) {
        this.app_version = app_version;
    }

    public OperatorBean getOperator() {
        return operator;
    }

    public void setOperator(OperatorBean operator) {
        this.operator = operator;
    }

    public int getCategory() {
        return category;
    }

    public void setCategory(int category) {
        this.category = category;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public IconsBean getIcons() {
        return icons;
    }

    public void setIcons(IconsBean icons) {
        this.icons = icons;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<ChaptersBean> getChapters() {
        return chapters;
    }

    public StatDataBean getStat_data() { return stat_data; }

    public void setStat_data(StatDataBean stat_data) { this.stat_data = stat_data; }

    public void setChapters(List<ChaptersBean> chapters) {
        this.chapters = chapters;
    }

    public static class ExtrasBean implements Parcelable {
        /**
         * detail_desc : [{"title":"适用人群","content":"a.想改善呼吸方式的训练者\nb.存在过度呼吸症状的人群"},{"title":"禁忌人群","content":"医嘱建议不适合运动的人群"},{"title":"注意事项","content":"a.想改善呼吸方式的训练者\nb.存在过户呼吸症状的人群"}]
         * sub_title : 使身体、情绪、精神安定下来
         * teach_video : video/c3400cb24d491e5fbd9a2a7c2fa51972.mp4
         */

        private String sub_title;
        private String teach_video;
        private List<DetailDescBean> detail_desc;

        public String getSub_title() {
            return sub_title;
        }

        public void setSub_title(String sub_title) {
            this.sub_title = sub_title;
        }

        public String getTeach_video() {
            return teach_video;
        }

        public void setTeach_video(String teach_video) {
            this.teach_video = teach_video;
        }

        public List<DetailDescBean> getDetail_desc() {
            return detail_desc;
        }

        public void setDetail_desc(List<DetailDescBean> detail_desc) {
            this.detail_desc = detail_desc;
        }

        public static class DetailDescBean implements Parcelable {
            /**
             * title : 适用人群
             * content : a.想改善呼吸方式的训练者
             b.存在过度呼吸症状的人群
             */

            private String title;
            private String content;

            public String getTitle() {
                return title;
            }

            public void setTitle(String title) {
                this.title = title;
            }

            public String getContent() {
                return content;
            }

            public void setContent(String content) {
                this.content = content;
            }

            @Override
            public int describeContents() {
                return 0;
            }

            @Override
            public void writeToParcel(Parcel dest, int flags) {
                dest.writeString(this.title);
                dest.writeString(this.content);
            }

            public DetailDescBean() {
            }

            protected DetailDescBean(Parcel in) {
                this.title = in.readString();
                this.content = in.readString();
            }

            public static final Parcelable.Creator<DetailDescBean> CREATOR = new Parcelable.Creator<DetailDescBean>() {
                @Override
                public DetailDescBean createFromParcel(Parcel source) {
                    return new DetailDescBean(source);
                }

                @Override
                public DetailDescBean[] newArray(int size) {
                    return new DetailDescBean[size];
                }
            };
        }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeString(this.sub_title);
            dest.writeString(this.teach_video);
            dest.writeTypedList(this.detail_desc);
        }

        public ExtrasBean() {
        }

        protected ExtrasBean(Parcel in) {
            this.sub_title = in.readString();
            this.teach_video = in.readString();
            this.detail_desc = in.createTypedArrayList(DetailDescBean.CREATOR);
        }

        public static final Parcelable.Creator<ExtrasBean> CREATOR = new Parcelable.Creator<ExtrasBean>() {
            @Override
            public ExtrasBean createFromParcel(Parcel source) {
                return new ExtrasBean(source);
            }

            @Override
            public ExtrasBean[] newArray(int size) {
                return new ExtrasBean[size];
            }
        };
    }

    public static class SettingsBean implements Parcelable {
        /**
         * prize_strategy : 0
         * sys_schedule : false
         * stats_lib : laf/stats_moudle
         * duty_strategy : 0
         */

        private int prize_strategy;
        private boolean sys_schedule;
        private String stats_lib;
        private int duty_strategy;


        public int getPrize_strategy() {
            return prize_strategy;
        }

        public void setPrize_strategy(int prize_strategy) {
            this.prize_strategy = prize_strategy;
        }

        public boolean isSys_schedule() {
            return sys_schedule;
        }

        public void setSys_schedule(boolean sys_schedule) {
            this.sys_schedule = sys_schedule;
        }

        public String getStats_lib() {
            return stats_lib;
        }

        public void setStats_lib(String stats_lib) {
            this.stats_lib = stats_lib;
        }

        public int getDuty_strategy() {
            return duty_strategy;
        }

        public void setDuty_strategy(int duty_strategy) {
            this.duty_strategy = duty_strategy;
        }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeInt(this.prize_strategy);
            dest.writeByte(this.sys_schedule ? (byte) 1 : (byte) 0);
            dest.writeString(this.stats_lib);
            dest.writeInt(this.duty_strategy);
        }

        public SettingsBean() {
        }

        protected SettingsBean(Parcel in) {
            this.prize_strategy = in.readInt();
            this.sys_schedule = in.readByte() != 0;
            this.stats_lib = in.readString();
            this.duty_strategy = in.readInt();
        }

        public static final Parcelable.Creator<SettingsBean> CREATOR = new Parcelable.Creator<SettingsBean>() {
            @Override
            public SettingsBean createFromParcel(Parcel source) {
                return new SettingsBean(source);
            }

            @Override
            public SettingsBean[] newArray(int size) {
                return new SettingsBean[size];
            }
        };
    }

    public static class AppBean implements Parcelable {
        /**
         * apply : advanpro-laf-app
         * pos_id : 201891401208827904
         */

        private String apply;
        private String pos_id;

        public String getApply() {
            return apply;
        }

        public void setApply(String apply) {
            this.apply = apply;
        }

        public String getPos_id() {
            return pos_id;
        }

        public void setPos_id(String pos_id) {
            this.pos_id = pos_id;
        }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeString(this.apply);
            dest.writeString(this.pos_id);
        }

        public AppBean() {
        }

        protected AppBean(Parcel in) {
            this.apply = in.readString();
            this.pos_id = in.readString();
        }

        public static final Parcelable.Creator<AppBean> CREATOR = new Parcelable.Creator<AppBean>() {
            @Override
            public AppBean createFromParcel(Parcel source) {
                return new AppBean(source);
            }

            @Override
            public AppBean[] newArray(int size) {
                return new AppBean[size];
            }
        };
    }

    public static class OperatorBean implements Parcelable {
        /**
         * creator : 200887306616442880
         * creator_name : 管理员
         * modify_time : 2018-07-12T07:40:55.490Z
         * create_time : 2018-07-12T07:40:55.490Z
         */

        private String creator;
        private String creator_name;
        private String modify_time;
        private String create_time;

        public String getCreator() {
            return creator;
        }

        public void setCreator(String creator) {
            this.creator = creator;
        }

        public String getCreator_name() {
            return creator_name;
        }

        public void setCreator_name(String creator_name) {
            this.creator_name = creator_name;
        }

        public String getModify_time() {
            return modify_time;
        }

        public void setModify_time(String modify_time) {
            this.modify_time = modify_time;
        }

        public String getCreate_time() {
            return create_time;
        }

        public void setCreate_time(String create_time) {
            this.create_time = create_time;
        }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeString(this.creator);
            dest.writeString(this.creator_name);
            dest.writeString(this.modify_time);
            dest.writeString(this.create_time);
        }

        public OperatorBean() {
        }

        protected OperatorBean(Parcel in) {
            this.creator = in.readString();
            this.creator_name = in.readString();
            this.modify_time = in.readString();
            this.create_time = in.readString();
        }

        public static final Parcelable.Creator<OperatorBean> CREATOR = new Parcelable.Creator<OperatorBean>() {
            @Override
            public OperatorBean createFromParcel(Parcel source) {
                return new OperatorBean(source);
            }

            @Override
            public OperatorBean[] newArray(int size) {
                return new OperatorBean[size];
            }
        };
    }

    public static class IconsBean implements Parcelable {
        /**
         * filename : wikipedia/images/c636c3192c286883f6a6f9acf3158122.png
         */

        private String cover;

        public String getCover() {
            return cover;
        }

        public void setCover(String cover) {
            this.cover = cover;
        }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeString(this.cover);
        }

        public IconsBean() {
        }

        protected IconsBean(Parcel in) {
            this.cover = in.readString();
        }

        public static final Parcelable.Creator<IconsBean> CREATOR = new Parcelable.Creator<IconsBean>() {
            @Override
            public IconsBean createFromParcel(Parcel source) {
                return new IconsBean(source);
            }

            @Override
            public IconsBean[] newArray(int size) {
                return new IconsBean[size];
            }
        };
    }

    public static class StatDataBean implements Parcelable {
        private int purchase;
        private int total_training;
        private TodayTraining today_training;

        public int getPurchase() { return purchase; }

        public void setPurchase(int purchase) { this.purchase = purchase; }

        public TodayTraining getToday_training() { return today_training; }

        public int getTotal_training() { return total_training; }

        public void setTotal_training(int total_training) { this.total_training = total_training; }

        public void setToday_training(TodayTraining today_training) { this.today_training = today_training; }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeInt(this.purchase);
            dest.writeInt(this.total_training);
            dest.writeParcelable(this.today_training,flags);
        }

        public StatDataBean() {
        }

        protected StatDataBean(Parcel in) {
            this.purchase = in.readInt();
            this.total_training = in.readInt();
            this.today_training = in.readParcelable(TodayTraining.class.getClassLoader());
        }

        public static final Parcelable.Creator<StatDataBean> CREATOR = new Parcelable.Creator<StatDataBean>() {
            @Override
            public StatDataBean createFromParcel(Parcel source) {
                return new StatDataBean(source);
            }

            @Override
            public StatDataBean[] newArray(int size) {
                return new StatDataBean[size];
            }
        };
    }

    public static class TodayTraining implements Parcelable{
        private String  date;
        private int count;

        public String getDate() { return date; }

        public void setDate(String date) { this.date = date; }

        public int getCount() { return count; }

        public void setCount(int count) { this.count = count; }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeString(this.date);
            dest.writeInt(this.count);
        }

        public TodayTraining() {
        }

        protected TodayTraining(Parcel in) {
            this.date = in.readString();
            this.count = in.readInt();
        }

        public static final Parcelable.Creator<TodayTraining> CREATOR = new Parcelable.Creator<TodayTraining>() {
            @Override
            public TodayTraining createFromParcel(Parcel source) {
                return new TodayTraining(source);
            }

            @Override
            public TodayTraining[] newArray(int size) {
                return new TodayTraining[size];
            }
        };
    }

    public static class ChaptersBean implements Parcelable {
        /**
         * total_hours : 1
         * order : 0
         * id : 213200060480098359
         * name : 屏息时长数据采集
         * brief_desc : 配合智能呼吸裤训练，提高心脏健康指数，第一次训练前请进行数据采集，以获得更精准的数据
         * lessons : [{"order":0,"id":"213200060480098360","extras":{"is_origin":true},"name":"数据采集"}]
         */

        private int total_hours;
        private int order;
        private String id;
        private String name;
        private String brief_desc;
        private List<LessonsBean> lessons;

        public int getTotal_hours() {
            return total_hours;
        }

        public void setTotal_hours(int total_hours) {
            this.total_hours = total_hours;
        }

        public int getOrder() {
            return order;
        }

        public void setOrder(int order) {
            this.order = order;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getBrief_desc() {
            return brief_desc;
        }

        public void setBrief_desc(String brief_desc) {
            this.brief_desc = brief_desc;
        }

        public List<LessonsBean> getLessons() {
            return lessons;
        }

        public void setLessons(List<LessonsBean> lessons) {
            this.lessons = lessons;
        }

        public static class LessonsBean implements Parcelable {
            /**
             * order : 0
             * id : 213200060480098360
             * extras : {"is_origin":true}
             * name : 数据采集
             */

            private int order;
            private String id;
            private ExtrasBeanX extras;
            private String name;

            public int getOrder() {
                return order;
            }

            public void setOrder(int order) {
                this.order = order;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public ExtrasBeanX getExtras() {
                return extras;
            }

            public void setExtras(ExtrasBeanX extras) {
                this.extras = extras;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public static class ExtrasBeanX implements Parcelable {
                /**
                 * is_origin : true
                 */

                private boolean is_origin;

                public boolean isIs_origin() {
                    return is_origin;
                }

                public void setIs_origin(boolean is_origin) {
                    this.is_origin = is_origin;
                }

                @Override
                public int describeContents() {
                    return 0;
                }

                @Override
                public void writeToParcel(Parcel dest, int flags) {
                    dest.writeByte(this.is_origin ? (byte) 1 : (byte) 0);
                }

                public ExtrasBeanX() {
                }

                protected ExtrasBeanX(Parcel in) {
                    this.is_origin = in.readByte() != 0;
                }

                public static final Parcelable.Creator<ExtrasBeanX> CREATOR = new Parcelable.Creator<ExtrasBeanX>() {
                    @Override
                    public ExtrasBeanX createFromParcel(Parcel source) {
                        return new ExtrasBeanX(source);
                    }

                    @Override
                    public ExtrasBeanX[] newArray(int size) {
                        return new ExtrasBeanX[size];
                    }
                };
            }

            @Override
            public int describeContents() {
                return 0;
            }

            @Override
            public void writeToParcel(Parcel dest, int flags) {
                dest.writeInt(this.order);
                dest.writeString(this.id);
                dest.writeParcelable(this.extras, flags);
                dest.writeString(this.name);
            }

            public LessonsBean() {
            }

            protected LessonsBean(Parcel in) {
                this.order = in.readInt();
                this.id = in.readString();
                this.extras = in.readParcelable(ExtrasBeanX.class.getClassLoader());
                this.name = in.readString();
            }

            public static final Parcelable.Creator<LessonsBean> CREATOR = new Parcelable.Creator<LessonsBean>() {
                @Override
                public LessonsBean createFromParcel(Parcel source) {
                    return new LessonsBean(source);
                }

                @Override
                public LessonsBean[] newArray(int size) {
                    return new LessonsBean[size];
                }
            };
        }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeInt(this.total_hours);
            dest.writeInt(this.order);
            dest.writeString(this.id);
            dest.writeString(this.name);
            dest.writeString(this.brief_desc);
            dest.writeTypedList(this.lessons);
        }

        public ChaptersBean() {
        }

        protected ChaptersBean(Parcel in) {
            this.total_hours = in.readInt();
            this.order = in.readInt();
            this.id = in.readString();
            this.name = in.readString();
            this.brief_desc = in.readString();
            this.lessons = in.createTypedArrayList(LessonsBean.CREATOR);
        }

        public static final Parcelable.Creator<ChaptersBean> CREATOR = new Parcelable.Creator<ChaptersBean>() {
            @Override
            public ChaptersBean createFromParcel(Parcel source) {
                return new ChaptersBean(source);
            }

            @Override
            public ChaptersBean[] newArray(int size) {
                return new ChaptersBean[size];
            }
        };
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.expired_date);
        dest.writeParcelable(this.extras, flags);
        dest.writeString(this.url);
        dest.writeParcelable(this.settings, flags);
        dest.writeString(this.effective_date);
        dest.writeParcelable(this.app, flags);
        dest.writeString(this.brief_desc);
        dest.writeInt(this.total_hours);
        dest.writeInt(this.price);
        dest.writeString(this.app_version);
        dest.writeParcelable(this.operator, flags);
        dest.writeInt(this.category);
        dest.writeInt(this.status);
        dest.writeString(this.id);
        dest.writeParcelable(this.icons, flags);
        dest.writeParcelable(this.stat_data,flags);
        dest.writeString(this.version);
        dest.writeString(this.name);
        dest.writeTypedList(this.chapters);
    }

    public CourseInfoResult() {
    }

    protected CourseInfoResult(Parcel in) {
        this.expired_date = in.readString();
        this.extras = in.readParcelable(ExtrasBean.class.getClassLoader());
        this.url = in.readString();
        this.settings = in.readParcelable(SettingsBean.class.getClassLoader());
        this.effective_date = in.readString();
        this.app = in.readParcelable(AppBean.class.getClassLoader());
        this.brief_desc = in.readString();
        this.total_hours = in.readInt();
        this.price = in.readInt();
        this.app_version = in.readString();
        this.operator = in.readParcelable(OperatorBean.class.getClassLoader());
        this.category = in.readInt();
        this.status = in.readInt();
        this.id = in.readString();
        this.icons = in.readParcelable(IconsBean.class.getClassLoader());
        this.stat_data =in.readParcelable(StatDataBean.class.getClassLoader());
        this.version = in.readString();
        this.name = in.readString();
        this.chapters = in.createTypedArrayList(ChaptersBean.CREATOR);
    }

    public static final Parcelable.Creator<CourseInfoResult> CREATOR = new Parcelable.Creator<CourseInfoResult>() {
        @Override
        public CourseInfoResult createFromParcel(Parcel source) {
            return new CourseInfoResult(source);
        }

        @Override
        public CourseInfoResult[] newArray(int size) {
            return new CourseInfoResult[size];
        }
    };
}
