package hk.advanpro.cloud.api.result.course;

import java.util.List;

/**
 * Created by david on 2018/8/21.
 */

public class CoursePrizesAllResult {
    private long _id;//奖品主键
    private long course_id;//课程主键
    private String name;//奖品类型名称
    private String code;//奖品编码
    /**
     * - medal:勋章
     * - title:称号
     * - grade:等级
     */
    private String type;//类型
    private int display_order;//:显示顺序
    private String desc;//奖品描述
    private List<PrizesList> items;//奖项列表
    private String extras;//附加信息
    private int is_owned;//是否已拥有  1:拥有   0:未拥有
    private int owned_count;//获得奖项总数
    private int items_count;//奖项总数
    private List<PrizesTotal> stats;//统计信息


    public long get_id() {
        return _id;
    }

    public void set_id(long _id) {
        this._id = _id;
    }

    public long getCourse_id() {
        return course_id;
    }

    public void setCourse_id(long course_id) {
        this.course_id = course_id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public int getDisplay_order() {
        return display_order;
    }

    public void setDisplay_order(int display_order) {
        this.display_order = display_order;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public List<PrizesList> getItems() {
        return items;
    }

    public void setItems(List<PrizesList> items) {
        this.items = items;
    }

    public String getExtras() {
        return extras;
    }

    public void setExtras(String extras) {
        this.extras = extras;
    }

    public int getIs_owned() {
        return is_owned;
    }

    public void setIs_owned(int is_owned) {
        this.is_owned = is_owned;
    }

    public int getOwned_count() {
        return owned_count;
    }

    public void setOwned_count(int owned_count) {
        this.owned_count = owned_count;
    }

    public int getItems_count() {
        return items_count;
    }

    public void setItems_count(int items_count) {
        this.items_count = items_count;
    }

    public List<PrizesTotal> getStats() {
        return stats;
    }

    public void setStats(List<PrizesTotal> stats) {
        this.stats = stats;
    }


    public static class PrizesList {
        private long id;//主键
        private String code;//编码
        private int order;//序号
        private IconBean icons;//图标
        private String name;//名称
        private String desc;//描述
        private int is_owned;//是否已拥有  1:拥有   0:未拥有

        public long getId() {
            return id;
        }

        public void setId(long id) {
            this.id = id;
        }

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public int getOrder() {
            return order;
        }

        public void setOrder(int order) {
            this.order = order;
        }

        public IconBean getIcons() {
            return icons;
        }

        public void setIcons(IconBean icons) {
            this.icons = icons;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getDesc() {
            return desc;
        }

        public void setDesc(String desc) {
            this.desc = desc;
        }

        public int getIs_owned() {
            return is_owned;
        }

        public void setIs_owned(int is_owned) {
            this.is_owned = is_owned;
        }
    }

    public static class PrizesTotal {
        private String type;//统计类型
        private String prize;//奖品统计
        private String prize_item;//奖项统计
        private String item_code;//奖项编码
        private int owner_count;//获得者数量
        private String prize_code;//奖品编码

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public String getPrize() {
            return prize;
        }

        public void setPrize(String prize) {
            this.prize = prize;
        }

        public String getPrize_item() {
            return prize_item;
        }

        public void setPrize_item(String prize_item) {
            this.prize_item = prize_item;
        }

        public String getItem_code() {
            return item_code;
        }

        public void setItem_code(String item_code) {
            this.item_code = item_code;
        }

        public int getOwner_count() {
            return owner_count;
        }

        public void setOwner_count(int owner_count) {
            this.owner_count = owner_count;
        }

        public String getPrize_code() {
            return prize_code;
        }

        public void setPrize_code(String prize_code) {
            this.prize_code = prize_code;
        }
    }

    public static class IconBean {
        /**
         * icon : course/images/62B0543A9ED311E8A4D3ACE2D3811270.png
         * icon_small : course/images/62B0543A9ED311E8A4D3ACE2D3811268.png
         * icon_gray : course/images/62B0543A9ED311E8A4D3ACE2D3811315.png
         */

        private String icon;
        private String icon_small;
        private String icon_gray;
        private String length;
        private String unget_tip;
        private List<String> lines;

        public String getUnget_tip() {
            return unget_tip;
        }

        public void setUnget_tip(String unget_tip) {
            this.unget_tip = unget_tip;
        }

        public String getIcon() {
            return icon;
        }

        public void setIcon(String icon) {
            this.icon = icon;
        }

        public String getIcon_small() {
            return icon_small;
        }

        public void setIcon_small(String icon_small) {
            this.icon_small = icon_small;
        }

        public String getIcon_gray() {
            return icon_gray;
        }

        public void setIcon_gray(String icon_gray) {
            this.icon_gray = icon_gray;
        }

        public String getLength() {
            return length;
        }

        public void setLength(String length) {
            this.length = length;
        }

        public List<String> getLines() {
            return lines;
        }

        public void setLines(List<String> lines) {
            this.lines = lines;
        }

    }


}
