package hk.advanpro.cloud.api.result.course;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.List;

/**
 * Created by david on 2018/8/20.
 */

public class CourseResult implements Parcelable {


    /**
     * total_hours : 2
     * price : 15
     * app_version : 0.9.0
     * category : 1
     * id : 213200060480098358
     * expired_date : 2018-09-29T01:45:26.415Z
     * extras : {"detail_desc":[{"title":"适用人群","content":"a.想改善呼吸方式的训练者\nb.存在过度呼吸症状的人群"},{"title":"禁忌人群","content":"医嘱建议不适合运动的人群"},{"title":"注意事项","content":"a.想改善呼吸方式的训练者\nb.存在过户呼吸症状的人群"}],"sub_title":"使身体、情绪、精神安定下来","teach_video":"video/c3400cb24d491e5fbd9a2a7c2fa51972.mp4"}
     * icons : {"filename":"wikipedia/images/c636c3192c286883f6a6f9acf3158122.png"}
     * url :
     * version : 0.9.0
     * name : 强健心脏
     * effective_date : 2018-08-08T01:45:26.415Z
     * brief_desc : 呼吸式是脏健康的个重要因素，呼吸量增加与慢性衰竭的正相关系，过度呼吸不仅会降低脏泵的能，也会减少液回流脏肌，导致脏氧不只有减少呼吸量才能够强健脏。
     本课程采屏息训练，通过提屏息能，达到降低呼吸量的的。屏息训练，是指在正常呼吸过程中有意地屏住呼吸直到体所能容忍的时长。更重要的是，该训练有助于我们重塑正确的呼吸式-轻呼吸，学会做对脏有益的呼吸。
     */

    private int total_hours;
    private int price;
    private String app_version;
    private int category;
    private String id;
    private String expired_date;
    private ExtrasBean extras;
    private IconsBean icons;
    private String url;
    private String version;
    private String name;
    private String effective_date;
    private String brief_desc;
    CourseInfoResult.StatDataBean stat_data;

    public CourseInfoResult.StatDataBean getStat_data() {
        return stat_data;
    }

    public void setStat_data(CourseInfoResult.StatDataBean stat_data) {
        this.stat_data = stat_data;
    }

    public int getTotal_hours() {
        return total_hours;
    }

    public void setTotal_hours(int total_hours) {
        this.total_hours = total_hours;
    }

    public int getPrice() {
        return price;
    }

    public void setPrice(int price) {
        this.price = price;
    }

    public String getApp_version() {
        return app_version;
    }

    public void setApp_version(String app_version) {
        this.app_version = app_version;
    }

    public int getCategory() {
        return category;
    }

    public void setCategory(int category) {
        this.category = category;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getExpired_date() {
        return expired_date;
    }

    public void setExpired_date(String expired_date) {
        this.expired_date = expired_date;
    }

    public ExtrasBean getExtras() {
        return extras;
    }

    public void setExtras(ExtrasBean extras) {
        this.extras = extras;
    }

    public IconsBean getIcons() {
        return icons;
    }

    public void setIcons(IconsBean icons) {
        this.icons = icons;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEffective_date() {
        return effective_date;
    }

    public void setEffective_date(String effective_date) {
        this.effective_date = effective_date;
    }

    public String getBrief_desc() {
        return brief_desc;
    }

    public void setBrief_desc(String brief_desc) {
        this.brief_desc = brief_desc;
    }

    public static class ExtrasBean implements Parcelable {
        /**
         * detail_desc : [{"title":"适用人群","content":"a.想改善呼吸方式的训练者\nb.存在过度呼吸症状的人群"},{"title":"禁忌人群","content":"医嘱建议不适合运动的人群"},{"title":"注意事项","content":"a.想改善呼吸方式的训练者\nb.存在过户呼吸症状的人群"}]
         * sub_title : 使身体、情绪、精神安定下来
         * teach_video : video/c3400cb24d491e5fbd9a2a7c2fa51972.mp4
         */

        private String sub_title;
        private String teach_video;
        private List<DetailDescBean> detail_desc;

        public String getSub_title() {
            return sub_title;
        }

        public void setSub_title(String sub_title) {
            this.sub_title = sub_title;
        }

        public String getTeach_video() {
            return teach_video;
        }

        public void setTeach_video(String teach_video) {
            this.teach_video = teach_video;
        }

        public List<DetailDescBean> getDetail_desc() {
            return detail_desc;
        }

        public void setDetail_desc(List<DetailDescBean> detail_desc) {
            this.detail_desc = detail_desc;
        }

        public static class DetailDescBean implements Parcelable {
            /**
             * title : 适用人群
             * content : a.想改善呼吸方式的训练者
             b.存在过度呼吸症状的人群
             */

            private String title;
            private String content;

            public String getTitle() {
                return title;
            }

            public void setTitle(String title) {
                this.title = title;
            }

            public String getContent() {
                return content;
            }

            public void setContent(String content) {
                this.content = content;
            }

            @Override
            public int describeContents() {
                return 0;
            }

            @Override
            public void writeToParcel(Parcel dest, int flags) {
                dest.writeString(this.title);
                dest.writeString(this.content);
            }

            public DetailDescBean() {
            }

            protected DetailDescBean(Parcel in) {
                this.title = in.readString();
                this.content = in.readString();
            }

            public static final Parcelable.Creator<DetailDescBean> CREATOR = new Parcelable.Creator<DetailDescBean>() {
                @Override
                public DetailDescBean createFromParcel(Parcel source) {
                    return new DetailDescBean(source);
                }

                @Override
                public DetailDescBean[] newArray(int size) {
                    return new DetailDescBean[size];
                }
            };
        }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeString(this.sub_title);
            dest.writeString(this.teach_video);
            dest.writeTypedList(this.detail_desc);
        }

        public ExtrasBean() {
        }

        protected ExtrasBean(Parcel in) {
            this.sub_title = in.readString();
            this.teach_video = in.readString();
            this.detail_desc = in.createTypedArrayList(DetailDescBean.CREATOR);
        }

        public static final Parcelable.Creator<ExtrasBean> CREATOR = new Parcelable.Creator<ExtrasBean>() {
            @Override
            public ExtrasBean createFromParcel(Parcel source) {
                return new ExtrasBean(source);
            }

            @Override
            public ExtrasBean[] newArray(int size) {
                return new ExtrasBean[size];
            }
        };
    }

    public static class IconsBean implements Parcelable {
        /**
         * filename : wikipedia/images/c636c3192c286883f6a6f9acf3158122.png
         */

        private String cover;

        public String getCover() { return cover; }

        public void setCover(String cover) { this.cover = cover; }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeString(this.cover);
        }

        public IconsBean() {
        }

        protected IconsBean(Parcel in) {
            this.cover = in.readString();
        }

        public static final Parcelable.Creator<IconsBean> CREATOR = new Parcelable.Creator<IconsBean>() {
            @Override
            public IconsBean createFromParcel(Parcel source) {
                return new IconsBean(source);
            }

            @Override
            public IconsBean[] newArray(int size) {
                return new IconsBean[size];
            }
        };
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(this.total_hours);
        dest.writeInt(this.price);
        dest.writeString(this.app_version);
        dest.writeInt(this.category);
        dest.writeString(this.id);
        dest.writeString(this.expired_date);
        dest.writeParcelable(this.extras, flags);
        dest.writeParcelable(this.icons, flags);
        dest.writeString(this.url);
        dest.writeString(this.version);
        dest.writeString(this.name);
        dest.writeString(this.effective_date);
        dest.writeString(this.brief_desc);
        dest.writeParcelable(this.stat_data,flags);
    }

    public CourseResult() {
    }

    protected CourseResult(Parcel in) {
        this.total_hours = in.readInt();
        this.price = in.readInt();
        this.app_version = in.readString();
        this.category = in.readInt();
        this.id = in.readString();
        this.expired_date = in.readString();
        this.extras = in.readParcelable(ExtrasBean.class.getClassLoader());
        this.icons = in.readParcelable(IconsBean.class.getClassLoader());
        this.url = in.readString();
        this.version = in.readString();
        this.name = in.readString();
        this.effective_date = in.readString();
        this.brief_desc = in.readString();
        this.stat_data =in.readParcelable(CourseInfoResult.StatDataBean.class.getClassLoader());
    }

    public static final Parcelable.Creator<CourseResult> CREATOR = new Parcelable.Creator<CourseResult>() {
        @Override
        public CourseResult createFromParcel(Parcel source) {
            return new CourseResult(source);
        }

        @Override
        public CourseResult[] newArray(int size) {
            return new CourseResult[size];
        }
    };
}
