package hk.advanpro.cloud.api.result.ddc;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.Date;

/**
 * Created by jalin on 2017/9/22.
 */

public class AppDataResult implements Serializable {
    @JSONField(name = "id")
    private long id;//数据主键

    @JSONField(name = "batch_no")
    private String batchNo;//批次号（唯一字符键）

    @JSONField(name = "category")
    private String category;//数据分类

    @JSONField(name = "format")
    private String format;//数据格式

    @JSONField(name = "device_code")
    private String deviceCode;//设备编号

    @JSONField(name = "user_id")
    private String userId;

    @JSONField(name = "time_zone")
    private int timeZone;

    @JSONField(name = "app_time")
    private Date appTime;//数据创建时间

    @JSONField(name = "begin_time")
    private Date begin_time;//开始时间

    @JSONField(name = "end_time")
    private Date end_time;//结束时间



    @JSONField(name = "sync_time")
    private Date syncTime;//同步数据

    @JSONField(name = "format_version")
    private String formatVersion;

    @JSONField(name = "version")
    private int version;//数据版本

    @JSONField(name = "raws")
    private String raws;//数据存储路径

    @JSONField(name = "info")
    private JSONObject info; //具体数据信息，根据不同设备，不同结构

    @JSONField(name = "operator")
    private JSONField operator;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public int getTimeZone() {
        return timeZone;
    }

    public void setTimeZone(int timeZone) {
        this.timeZone = timeZone;
    }

    public Date getAppTime() {
        return appTime;
    }

    public void setAppTime(Date appTime) {
        this.appTime = appTime;
    }

    public Date getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Date syncTime) {
        this.syncTime = syncTime;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getFormatVersion() {
        return formatVersion;
    }

    public void setFormatVersion(String formatVersion) {
        this.formatVersion = formatVersion;
    }

    public int getVersion() {
        return version;
    }

    public void setVersion(int version) {
        this.version = version;
    }

    public String getRaws() {
        return raws;
    }

    public void setRaws(String raws) {
        this.raws = raws;
    }

    public JSONObject getInfo() {
        return info;
    }

    public void setInfo(JSONObject info) {
        this.info = info;
    }

    public JSONField getOperator() {
        return operator;
    }

    public void setOperator(JSONField operator) {
        this.operator = operator;
    }

    public Date getBegin_time() {
        return begin_time;
    }

    public void setBegin_time(Date begin_time) {
        this.begin_time = begin_time;
    }

    public Date getEnd_time() {
        return end_time;
    }

    public void setEnd_time(Date end_time) {
        this.end_time = end_time;
    }
}
