package hk.advanpro.cloud.api.result.oc;

import java.util.List;

import hk.advanpro.cloud.api.result.ListResult;

public class CategoryListResult extends ListResult<CategoryResult> {

//    id:long:spu主键
//    title:string:商品名称
//    sub_title:string:商品副标题
//    photos:arrty<string>:图片数组
//    price:float:价格
//    total_sales:int:销售数量
//    tag:int:商品定制化类型
//                - 0 :无定制
//                - 1 :裤子
//                - 2 :衣服

    private String spuID;
    private String title;
    private String sub_title;
    private float price;
    private int total_sales;
    private int tag;
    private List<String> photos;

    public String getSpuID() {
        return spuID;
    }

    public void setSpuID(String spuID) {
        this.spuID = spuID;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSub_title() {
        return sub_title;
    }

    public void setSub_title(String sub_title) {
        this.sub_title = sub_title;
    }

    public float getPrice() {
        return price;
    }

    public void setPrice(float price) {
        this.price = price;
    }

    public int getTotal_sales() {
        return total_sales;
    }

    public void setTotal_sales(int total_sales) {
        this.total_sales = total_sales;
    }

    public int getTag() {
        return tag;
    }

    public void setTag(int tag) {
        this.tag = tag;
    }

    public List<String> getPhotos() {
        return photos;
    }

    public void setPhotos(List<String> photos) {
        this.photos = photos;
    }
}
