package hk.advanpro.cloud.api.result.oc;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.List;

/**
 * 产品分类
 */
public class CategoryResult implements Serializable {
    /**
     * id
     */
    private long id;
    /**
     * 分类名称
     */
    private String name;
    /**
     * 分类图片地址
     */
    private String icon;
    /**
     * 父分类id ，默认0
     */
    @JSONField(name = "parent_id")
    private long parentId;
    private List<CategoryResult> children;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public long getParentId() {
        return parentId;
    }

    public void setParentId(long parentId) {
        this.parentId = parentId;
    }

    public List<CategoryResult> getChildren() {
        return children;
    }

    public void setChildren(List<CategoryResult> children) {
        this.children = children;
    }
}
