package hk.advanpro.cloud.api.result.oc;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 订单列表
 */
public class OrderDetailResult implements Serializable {
    private String receive_province;
    private InvoiceBean invoice;
    private int order_status;
    private String receive_address;
    private String payment_account;
    private int refund_type;
    private int is_refund;
    private String logistics_type;
    private String logistics_order;

    private String pos_id;
    private double payment_amount;// 总价格
    private String receive_phone;
    private int actual_quantity; //实际购买数量
    private String creator_name;
    private int status;
    private Date modify_time;
    private String id;
    private String receive_county;
    private String app_code;
    private double total_amount;
    private double logistics_cost;
    private String creator;
    private String payment_no;
    private int error_cause;
    private String order_no;
    private Date payment_time;
    private int payment_type;
    private String receive_name;
    private String buyer_id;
    private int total_quantity; //购买数量
    private int refund_quantity;//退款数量
    private String receive_city;
    private String flow_id;
    private Date create_time;
    private List<ItemsBean> items;
    private List<String> refund_photos;
    private String refund_cause;
    private double refund_total_amount;// 退款金额

    public int getRefund_quantity() {
        return refund_quantity;
    }

    public void setRefund_quantity(int refund_quantity) {
        this.refund_quantity = refund_quantity;
    }

    public List<String> getRefund_photos() {
        return refund_photos;
    }

    public void setRefund_photos(List<String> refund_photos) {
        this.refund_photos = refund_photos;
    }

    public String getRefund_cause() {
        return refund_cause;
    }

    public void setRefund_cause(String refund_cause) {
        this.refund_cause = refund_cause;
    }

    public String getLogistics_type() {
        return logistics_type;
    }

    public void setLogistics_type(String logistics_type) {
        this.logistics_type = logistics_type;
    }

    public String getLogistics_order() {
        return logistics_order;
    }

    public void setLogistics_order(String logistics_order) {
        this.logistics_order = logistics_order;
    }

    public String getReceive_province() {
        return receive_province;
    }

    public void setReceive_province(String receive_province) {
        this.receive_province = receive_province;
    }

    public InvoiceBean getInvoice() {
        return invoice;
    }

    public void setInvoice(InvoiceBean invoice) {
        this.invoice = invoice;
    }

    public int getOrder_status() {
        return order_status;
    }

    public void setOrder_status(int order_status) {
        this.order_status = order_status;
    }

    public String getReceive_address() {
        return receive_address;
    }

    public void setReceive_address(String receive_address) {
        this.receive_address = receive_address;
    }

    public String getPayment_account() {
        return payment_account;
    }

    public void setPayment_account(String payment_account) {
        this.payment_account = payment_account;
    }

    public int getRefund_type() {
        return refund_type;
    }

    public void setRefund_type(int refund_type) {
        this.refund_type = refund_type;
    }

    public int getIs_refund() {
        return is_refund;
    }

    public void setIs_refund(int is_refund) {
        this.is_refund = is_refund;
    }

    public String getPos_id() {
        return pos_id;
    }

    public void setPos_id(String pos_id) {
        this.pos_id = pos_id;
    }

    public double getPayment_amount() {
        return payment_amount;
    }

    public void setPayment_amount(double payment_amount) {
        this.payment_amount = payment_amount;
    }

    public String getReceive_phone() {
        return receive_phone;
    }

    public void setReceive_phone(String receive_phone) {
        this.receive_phone = receive_phone;
    }

    public int getActual_quantity() {
        return actual_quantity;
    }

    public void setActual_quantity(int actual_quantity) {
        this.actual_quantity = actual_quantity;
    }

    public String getCreator_name() {
        return creator_name;
    }

    public void setCreator_name(String creator_name) {
        this.creator_name = creator_name;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public Date getModify_time() {
        return modify_time;
    }

    public void setModify_time(Date modify_time) {
        this.modify_time = modify_time;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getReceive_county() {
        return receive_county;
    }

    public void setReceive_county(String receive_county) {
        this.receive_county = receive_county;
    }

    public String getApp_code() {
        return app_code;
    }

    public void setApp_code(String app_code) {
        this.app_code = app_code;
    }

    public double getTotal_amount() {
        return total_amount;
    }

    public void setTotal_amount(double total_amount) {
        this.total_amount = total_amount;
    }

    public double getLogistics_cost() {
        return logistics_cost;
    }

    public void setLogistics_cost(double logistics_cost) {
        this.logistics_cost = logistics_cost;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getPayment_no() {
        return payment_no;
    }

    public void setPayment_no(String payment_no) {
        this.payment_no = payment_no;
    }

    public int getError_cause() {
        return error_cause;
    }

    public void setError_cause(int error_cause) {
        this.error_cause = error_cause;
    }

    public String getOrder_no() {
        return order_no;
    }

    public void setOrder_no(String order_no) {
        this.order_no = order_no;
    }

    public Date getPayment_time() {
        return payment_time;
    }

    public void setPayment_time(Date payment_time) {
        this.payment_time = payment_time;
    }

    public int getPayment_type() {
        return payment_type;
    }

    public void setPayment_type(int payment_type) {
        this.payment_type = payment_type;
    }

    public String getReceive_name() {
        return receive_name;
    }

    public void setReceive_name(String receive_name) {
        this.receive_name = receive_name;
    }

    public String getBuyer_id() {
        return buyer_id;
    }

    public void setBuyer_id(String buyer_id) {
        this.buyer_id = buyer_id;
    }

    public int getTotal_quantity() {
        return total_quantity;
    }

    public void setTotal_quantity(int total_quantity) {
        this.total_quantity = total_quantity;
    }

    public String getReceive_city() {
        return receive_city;
    }

    public double getRefund_total_amount() {
        return refund_total_amount;
    }

    public void setRefund_total_amount(double refund_total_amount) {
        this.refund_total_amount = refund_total_amount;
    }

    public void setReceive_city(String receive_city) {
        this.receive_city = receive_city;
    }

    public String getFlow_id() {
        return flow_id;
    }

    public void setFlow_id(String flow_id) {
        this.flow_id = flow_id;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public List<ItemsBean> getItems() {
        return items;
    }

    public void setItems(List<ItemsBean> items) {
        this.items = items;
    }

    public static class InvoiceBean implements Serializable {
        /**
         * title : 公司
         * tax : xxxxxxxxxxxxxx
         * type : 0
         */

        private String title;
        private String tax;
        private int type;

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public String getTax() {
            return tax;
        }

        public void setTax(String tax) {
            this.tax = tax;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }
    }

    /**
     * 订单子项
     */
    public static class ItemsBean implements Serializable {
        private double total_amount;//总金额
        private String product_spu_id;
        private String product_sku_id;
        private OrderBean order;
        private String product_title;
        private double actual_amount; //实际金额
        private DisplaySnapshotBean display_snapshot;
        private Map<String, String> product_sku_attrs;
        private String order_id;
        private int quantity; //总数量
        private int actual_quantity; //实售数量
        private int refund_quantity;//退款数量
        private int refund_status;//商品退款状态
        private float refund_amount;//退款金额

        private Date modify_time;
        private String id;
        private double product_price;
        private Date create_time;

        public Map<String, String> getProduct_sku_attrs() {
            return product_sku_attrs;
        }

        public int getRefund_quantity() {
            return refund_quantity;
        }

        public void setRefund_quantity(int refund_quantity) {
            this.refund_quantity = refund_quantity;
        }

        public int getRefund_status() {
            return refund_status;
        }

        public void setRefund_status(int refund_status) {
            this.refund_status = refund_status;
        }

        public float getRefund_amount() {
            return refund_amount;
        }

        public void setRefund_amount(float refund_amount) {
            this.refund_amount = refund_amount;
        }

        public void setProduct_sku_attrs(Map<String, String> product_sku_attrs) {
            this.product_sku_attrs = product_sku_attrs;
        }

        public double getTotal_amount() {
            return total_amount;
        }

        public void setTotal_amount(double total_amount) {
            this.total_amount = total_amount;
        }

        public String getProduct_spu_id() {
            return product_spu_id;
        }

        public void setProduct_spu_id(String product_spu_id) {
            this.product_spu_id = product_spu_id;
        }

        public String getProduct_sku_id() {
            return product_sku_id;
        }

        public void setProduct_sku_id(String product_sku_id) {
            this.product_sku_id = product_sku_id;
        }

        public OrderBean getOrder() {
            return order;
        }

        public void setOrder(OrderBean order) {
            this.order = order;
        }

        public String getProduct_title() {
            return product_title;
        }

        public void setProduct_title(String product_title) {
            this.product_title = product_title;
        }

        public double getActual_amount() {
            return actual_amount;
        }

        public void setActual_amount(double actual_amount) {
            this.actual_amount = actual_amount;
        }

        public DisplaySnapshotBean getDisplay_snapshot() {
            return display_snapshot;
        }

        public void setDisplay_snapshot(DisplaySnapshotBean display_snapshot) {
            this.display_snapshot = display_snapshot;
        }


        public String getOrder_id() {
            return order_id;
        }

        public void setOrder_id(String order_id) {
            this.order_id = order_id;
        }

        public int getQuantity() {
            return quantity;
        }

        public void setQuantity(int quantity) {
            this.quantity = quantity;
        }

        public int getActual_quantity() {
            return actual_quantity;
        }

        public void setActual_quantity(int actual_quantity) {
            this.actual_quantity = actual_quantity;
        }

        public Date getModify_time() {
            return modify_time;
        }

        public void setModify_time(Date modify_time) {
            this.modify_time = modify_time;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public double getProduct_price() {
            return product_price;
        }

        public void setProduct_price(double product_price) {
            this.product_price = product_price;
        }

        public Date getCreate_time() {
            return create_time;
        }

        public void setCreate_time(Date create_time) {
            this.create_time = create_time;
        }

        public static class OrderBean implements Serializable {
            private int refund_type;
            private int is_refund;
            private int status;
            private Date modify_time;
            private String id;
            private int error_cause;
            private int payment_type;
            private Date create_time;
            private List<?> items;

            public int getRefund_type() {
                return refund_type;
            }

            public void setRefund_type(int refund_type) {
                this.refund_type = refund_type;
            }

            public int getIs_refund() {
                return is_refund;
            }

            public void setIs_refund(int is_refund) {
                this.is_refund = is_refund;
            }

            public int getStatus() {
                return status;
            }

            public void setStatus(int status) {
                this.status = status;
            }

            public Date getModify_time() {
                return modify_time;
            }

            public void setModify_time(Date modify_time) {
                this.modify_time = modify_time;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public int getError_cause() {
                return error_cause;
            }

            public void setError_cause(int error_cause) {
                this.error_cause = error_cause;
            }

            public int getPayment_type() {
                return payment_type;
            }

            public void setPayment_type(int payment_type) {
                this.payment_type = payment_type;
            }

            public Date getCreate_time() {
                return create_time;
            }

            public void setCreate_time(Date create_time) {
                this.create_time = create_time;
            }

            public List<?> getItems() {
                return items;
            }

            public void setItems(List<?> items) {
                this.items = items;
            }
        }

        /**
         * 商品快照
         */
        public static class DisplaySnapshotBean implements Serializable {
            /**
             * product_spu_id : 1
             * product_title : 测试
             * creator : 196893204258369536
             * attrs : {"网络类型":"移动双4G","机身颜色":"金色","存储容量":"64G"}
             * photos : a,a,a,,a
             * pos_id : 201891401208827904
             * lock_quantity : 109
             * quantity : 186
             * product_attrs : {	"网络类型": ["联通双4G", "移动双4G", "移动联通双4G"],	"机身颜色": ["金色", "蓝色"],	"存储容量": ["64G", "32G"]}
             * price : 0.01
             * category : 197980939756809411
             * creator_name : 1359****3706
             * status : 1
             * modify_time : 1529641330131
             * id : 196955931991387309
             * create_time : 1527508353000
             */

            private String product_spu_id;
            private String product_title;
            private String creator;
            private Map<String, String> attrs;
            private String photos;
            private String pos_id;
            private int lock_quantity;
            private int quantity;
            private String product_attrs;
            private double price;
            private String category;
            private String creator_name;
            private int status;
            private Date modify_time;
            private String id;
            private Date create_time;

            public Map<String, String> getAttrs() {
                return attrs;
            }

            public void setAttrs(Map<String, String> attrs) {
                this.attrs = attrs;
            }

            public String getProduct_spu_id() {
                return product_spu_id;
            }

            public void setProduct_spu_id(String product_spu_id) {
                this.product_spu_id = product_spu_id;
            }

            public String getProduct_title() {
                return product_title;
            }

            public void setProduct_title(String product_title) {
                this.product_title = product_title;
            }

            public String getCreator() {
                return creator;
            }

            public void setCreator(String creator) {
                this.creator = creator;
            }


            public String getPhotos() {
                return photos;
            }

            public void setPhotos(String photos) {
                this.photos = photos;
            }

            public String getPos_id() {
                return pos_id;
            }

            public void setPos_id(String pos_id) {
                this.pos_id = pos_id;
            }

            public int getLock_quantity() {
                return lock_quantity;
            }

            public void setLock_quantity(int lock_quantity) {
                this.lock_quantity = lock_quantity;
            }

            public int getQuantity() {
                return quantity;
            }

            public void setQuantity(int quantity) {
                this.quantity = quantity;
            }

            public String getProduct_attrs() {
                return product_attrs;
            }

            public void setProduct_attrs(String product_attrs) {
                this.product_attrs = product_attrs;
            }

            public double getPrice() {
                return price;
            }

            public void setPrice(double price) {
                this.price = price;
            }

            public String getCategory() {
                return category;
            }

            public void setCategory(String category) {
                this.category = category;
            }

            public String getCreator_name() {
                return creator_name;
            }

            public void setCreator_name(String creator_name) {
                this.creator_name = creator_name;
            }

            public int getStatus() {
                return status;
            }

            public void setStatus(int status) {
                this.status = status;
            }

            public Date getModify_time() {
                return modify_time;
            }

            public void setModify_time(Date modify_time) {
                this.modify_time = modify_time;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public Date getCreate_time() {
                return create_time;
            }

            public void setCreate_time(Date create_time) {
                this.create_time = create_time;
            }


        }

    }
}
