package hk.advanpro.cloud.api.result.soc;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;

/**
 * 群成员
 * Created by jason on 2018/9/8
 */
public class GroupMemberResult {
    private String id;
    @JSONField(name = "extras")
    private JSONObject extras;

    @JSONField(name = "operator")
    private Operator operator;

    @JSONField(name = "config")
    private Config config;

    public static class Config {
        /**
         * 群备注
         */
        private String note;

        public String getNote() {
            return note;
        }

        public void setNote(String note) {
            this.note = note;
        }
    }


    public String getUserNote() {
        if (getExtras() != null && getExtras().containsKey("user_note")) {
            return getExtras().getString("user_note");
        }
        return "";
    }

    public static class Operator {
        @JSONField(name = "creator")
        private UserInfo creator;

        @JSONField(name = "creator_name")
        private String creatorName;

        @JSONField(name = "create_time")
        private String createTime;

        public UserInfo getCreator() {
            return creator;
        }

        public void setCreator(UserInfo creator) {
            this.creator = creator;
        }

        public String getCreatorName() {
            return creatorName;
        }

        public void setCreatorName(String creatorName) {
            this.creatorName = creatorName;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Operator getOperator() {
        return operator;
    }

    public void setOperator(Operator operator) {
        this.operator = operator;
    }

    public Config getConfig() {
        return config;
    }

    public void setConfig(Config config) {
        this.config = config;
    }

    public JSONObject getExtras() {
        return extras;
    }

    public void setExtras(JSONObject extras) {
        this.extras = extras;
    }
}
