package hk.advanpro.cloud.api.result.soc;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;

/**
 * @author jalin
 * created at 2018/8/1
 */

public class UserInfo implements Serializable {

    /**
     * uc id
     */
    @JSONField(name = "id")
    private String id;
    /**
     * 账号
     */
    @JSONField(name = "account")
    private String account;
    /**
     * 昵称
     */
    @JSONField(name = "nick_name")
    private String nickName;

    /**
     * 头像
     */
    @JSONField(name = "photo")
    private String photo;

    /**
     * 性别 - F:女  - M:男  - N:未知
     */
    @JSONField(name = "sex")
    private String sex;
    /**
     * 额外信息
     */
    UserProfiles profiles;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public UserProfiles getProfiles() {
        return profiles;
    }

    public void setProfiles(UserProfiles profiles) {
        this.profiles = profiles;
    }
}