package hk.advanpro.cloud.api.result.soc;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;

/**
 * 用户基本信息
 *
 * @author jalin
 * created at 2018/9/12
 */
public class UserProfiles implements Serializable {
    /**
     * 其他信息
     */
    private UserExtraInfo info;

    /**
     * 国家
     */
    @JSONField(name = "country")
    private String country;

    /**
     * 省份
     */
    @JSONField(name = "province")
    private String province;
    /**
     * 城市
     */
    @JSONField(name = "city")
    private String city;

    /**
     * 年龄
     */
    @JSONField(name = "age")
    private int age;
    /**
     * 出生年月日
     */
    @JSONField(name = "birthday")
    private String birthday;
    /**
     * 体重
     */
    @JSONField(name = "weight")
    private float weight;

    public UserExtraInfo getInfo() {
        if (info == null) {
            info = new UserExtraInfo();
        }
        return info;
    }

    public void setInfo(UserExtraInfo info) {
        this.info = info;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public float getWeight() {
        return weight;
    }

    public void setWeight(float weight) {
        this.weight = weight;
    }
}
