package hk.advanpro.cloud.api.result.uc;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;

/**
 * 获取登录用户基本信息请求接口返回数据对象。
 * Created by yibin on 2017/8/15.
 */

public class GetMyProfileResult implements Serializable {
    @JSONField(name = "nick_name")
    private String nickName;

    @JSONField(name = "photo")
    private String photo;

    @JSONField(name = "sex")
    private String sex;

    @JSONField(name = "profiles")
    private Profiles profiles;

    public static class Profiles {
        @JSONField(name = "birthday")
        private String birthday;

        @JSONField(name = "age")
        private int age;

        @JSONField(name = "height")
        private int height;

        @JSONField(name = "weight")
        private int weight;

        @JSONField(name = "country")
        private String country;

        @JSONField(name = "province")
        private String province;

        @JSONField(name = "city")
        private String city;

        @JSONField(name = "info")
        private JSONObject info;//附加信息;json格式，注:每个应用应规定固定的json数据格式

        public String getBirthday() {
            return birthday;
        }

        public void setBirthday(String birthday) {
            this.birthday = birthday;
        }

        public int getAge() {
            return age;
        }

        public void setAge(int age) {
            this.age = age;
        }

        public int getHeight() {
            return height;
        }

        public void setHeight(int height) {
            this.height = height;
        }

        public int getWeight() {
            return weight;
        }

        public void setWeight(int weight) {
            this.weight = weight;
        }

        public String getCountry() {
            return country;
        }

        public void setCountry(String country) {
            this.country = country;
        }

        public String getProvince() {
            return province;
        }

        public void setProvince(String province) {
            this.province = province;
        }

        public String getCity() {
            return city;
        }

        public void setCity(String city) {
            this.city = city;
        }

        public JSONObject getInfo() {
            return info;
        }

        public void setInfo(JSONObject info) {
            this.info = info;
        }
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Profiles getProfiles() {
        return profiles;
    }

    public void setProfiles(Profiles profiles) {
        this.profiles = profiles;
    }

}
