package hk.advanpro.cloud.api.result.uc;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.Date;

/**
 * 我的积分
 */
public class MyPointDetailResult {

    private Long id;//主键ID
    private int score;//积分值，获取的积分 使用的积分 失效的积分
    @JSONField(name = "available_score")
    private int availableScore;//当前可用的积分
    @JSONField(name = "total_score")
    private int totalScore;//当前总积分
    private int type;//积分类型 1:获取 2:使用 3:过期失效
    private String business_type;//积分的业务类型 登录送积分 下单送积分 支付扣减 过期等
    private String title;//对业务类型的详细说明
    private Date time;//时间 UTC时间格式 yyyy-MM-dd'T'HH:mm:ss.SSSZ

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public int getScore() {
        return score;
    }

    public void setScore(int score) {
        this.score = score;
    }

    public int getAvailableScore() {
        return availableScore;
    }

    public void setAvailableScore(int availableScore) {
        this.availableScore = availableScore;
    }

    public int getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(int totalScore) {
        this.totalScore = totalScore;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getBusiness_type() {
        return business_type;
    }

    public void setBusiness_type(String business_type) {
        this.business_type = business_type;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }
}
