package hk.advanpro.cloud.api.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import hk.advanpro.cloud.api.interceptor.RequestInterceptor;

/**
 * 用于标记请求头参数参数。
 * Created by yejianfei on 2017/8/12.
 */
@Target({ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
public @interface Header {

    String name();

    String value() default "";

    Class<? extends RequestInterceptor> interceptor() default RequestInterceptor.class;
}
