package hk.advanpro.cloud.api.callback;

import okhttp3.Response;

/**
 * 请求错误响应回调接口。
 * 处理异常
 * 处理HTTP错误400，401，402，403，404，500
 * Created by yejianfei on 2017/8/14.
 */

public interface ResponseErrorCallback {

    void call(Response response, Throwable throwable);
}
