package hk.advanpro.cloud.api.result;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class ListResult<T> implements Serializable {
    /**
     * 列表内容
     */
    private List<T> list;
    /**
     * 总数量
     */
    private int count;

    /**
     * 商品数量
     */
    private int sum;

    public List<T> getList() {
        if (list == null) {
            list = new ArrayList<>();
        }
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public int getSum() {
        return sum;
    }

    public void setSum(int sum) {
        this.sum = sum;
    }
}
