package hk.advanpro.cloud.api.result;

import java.lang.reflect.Type;

import okhttp3.Response;

/**
 * 接口请求响应结果接口
 * Created by yejianfei on 2017/8/14.
 */

public interface ResponseResult {

    void parse(Type[] types, Response response) throws Exception;

    Response getResponse();

    boolean isSuccess();

    int getCode();

    String getMsg();
}
