package hk.advanpro.cloud.api.result.cms;


import java.io.Serializable;

/**
 * 歌单
 * Created by Mac on 18/8/18.
 */

public class MusicSongDetailResult implements Serializable {
    private String id;//曲目ID
    private String title;//曲目名称
    private String content;//音乐 oss url
    private String cover;//封面
    private KeyWord keyword;//标签
    private Extras extras;//标签
    private String subtitle;// 歌曲简介


    public static class Extras implements Serializable {
        private String author;//歌曲作者 歌手

        public String getAuthor() {
            return author;
        }

        public void setAuthor(String author) {
            this.author = author;
        }
    }

    public static class KeyWord implements Serializable {
        private String name;//标签名称
        /**
         * 标签颜色
         * -red:红色
         * -blue:蓝色
         * -空:默认系统颜色
         */
        private String color;

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getColor() {
            return color;
        }

        public void setColor(String color) {
            this.color = color;
        }
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }


    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getCover() {
        return cover;
    }

    public void setCover(String cover) {
        this.cover = cover;
    }

    public KeyWord getKeyword() {
        return keyword;
    }

    public void setKeyword(KeyWord keyword) {
        this.keyword = keyword;
    }

    public Extras getExtras() {
        return extras;
    }

    public void setExtras(Extras extras) {
        this.extras = extras;
    }


    public String getAuthor() {
        if (getExtras() != null) {
            return getExtras().getAuthor();
        }
        return "";
    }

    public String getKeywordName() {
        if (getKeyword() != null) {
            return getKeyword().getName();
        }
        return "";
    }

    public String getKeywordColor() {
        if (getKeyword() != null) {
            return getKeyword().getColor();
        }
        return "";
    }

    public String getSubtitle() {
        return subtitle;
    }

    public void setSubtitle(String subtitle) {
        this.subtitle = subtitle;
    }
}
