package hk.advanpro.cloud.api.result.course;

import java.util.List;

import hk.advanpro.cloud.api.payload.course.CourseRecord;

public class CourseTrainingResult {
    private boolean is_begin;//是否第一节课
    private boolean is_origin;//是否原始采集
    private int max_depth;//潜水最大深度(米)
    private boolean is_forward;//是否转发
    private int max_time;//屏气最大时长(秒)
    private int continue_attr;//连续考勤天数
    private String encourage; //训练平分
    private boolean continue50;//是否连续3次超过50
    private boolean continue60;//是否连续3次超过60
    private boolean continue70;//是否连续3次超过70
    private int suspend_len;//一次训练连续次数
    private String training_id;//训练主键
    private List<EarnedPrizes> earned_prizes;

    //数据信息
    private CourseRecord.CourseInfo info;

    public boolean isIs_begin() {
        return is_begin;
    }

    public String getTraining_id() {
        return training_id;
    }

    public void setTraining_id(String training_id) {
        this.training_id = training_id;
    }

    public void setIs_begin(boolean is_begin) {
        this.is_begin = is_begin;
    }

    public boolean isIs_origin() {
        return is_origin;
    }

    public void setIs_origin(boolean is_origin) {
        this.is_origin = is_origin;
    }

    public int getMax_depth() {
        return max_depth;
    }

    public void setMax_depth(int max_depth) {
        this.max_depth = max_depth;
    }

    public boolean isIs_forward() {
        return is_forward;
    }

    public void setIs_forward(boolean is_forward) {
        this.is_forward = is_forward;
    }

    public int getMax_time() {
        return max_time;
    }

    public void setMax_time(int max_time) {
        this.max_time = max_time;
    }

    public int getContinue_attr() {
        return continue_attr;
    }

    public void setContinue_attr(int continue_attr) {
        this.continue_attr = continue_attr;
    }

    public boolean isContinue50() {
        return continue50;
    }

    public void setContinue50(boolean continue50) {
        this.continue50 = continue50;
    }

    public boolean isContinue60() {
        return continue60;
    }

    public void setContinue60(boolean continue60) {
        this.continue60 = continue60;
    }

    public boolean isContinue70() {
        return continue70;
    }

    public void setContinue70(boolean continue70) {
        this.continue70 = continue70;
    }

    public int getSuspend_len() {
        return suspend_len;
    }

    public void setSuspend_len(int suspend_len) {
        this.suspend_len = suspend_len;
    }

    public String getEncourage() {
        return encourage;
    }

    public void setEncourage(String encourage) {
        this.encourage = encourage;
    }

    public List<EarnedPrizes> getEarned_prizes() {
        return earned_prizes;
    }

    public void setEarned_prizes(List<EarnedPrizes> earned_prizes) {
        this.earned_prizes = earned_prizes;
    }

    public CourseRecord.CourseInfo getInfo() {
        return info;
    }

    public void setInfo(CourseRecord.CourseInfo info) {
        this.info = info;
    }

    public static class EarnedPrizes {
        private String id;
        private String pid;
        private String pcode;
        private String type;
        private int order;
        private String name;
        private String code;
        private String desc;
        private Icons icons;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getPid() {
            return pid;
        }

        public void setPid(String pid) {
            this.pid = pid;
        }

        public String getPcode() {
            return pcode;
        }

        public void setPcode(String pcode) {
            this.pcode = pcode;
        }

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public int getOrder() {
            return order;
        }

        public void setOrder(int order) {
            this.order = order;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getDesc() {
            return desc;
        }

        public void setDesc(String desc) {
            this.desc = desc;
        }

        public Icons getIcons() {
            return icons;
        }

        public void setIcons(Icons icons) {
            this.icons = icons;
        }
    }

    public static class Icons {
        private String icon;
        private String icon_gray;
        private String icon_small;

        public String getIcon() {
            return icon;
        }

        public void setIcon(String icon) {
            this.icon = icon;
        }

        public String getIcon_gray() {
            return icon_gray;
        }

        public void setIcon_gray(String icon_gray) {
            this.icon_gray = icon_gray;
        }

        public String getIcon_small() {
            return icon_small;
        }

        public void setIcon_small(String icon_small) {
            this.icon_small = icon_small;
        }
    }

}
