package hk.advanpro.cloud.api.result.ddc;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;

/**
 * 过滤设备信息
 *
 * @author jalin
 * created at 2018/7/5
 */
public class CheckDeviceBindResult implements Serializable {

    @JSONField(name = "mac_addr")
    private String macAddr;// 设备mac地址

    private boolean mine;// 是否曾经绑定

    private boolean bound;// 设备是否被绑定

    private boolean used;// 设备是否使用过

    public String getMacAddr() {
        return macAddr;
    }

    public void setMacAddr(String macAddr) {
        this.macAddr = macAddr;
    }

    public boolean isMine() {
        return mine;
    }

    public void setMine(boolean mine) {
        this.mine = mine;
    }

    public boolean isBound() {
        return bound;
    }

    public void setBound(boolean bound) {
        this.bound = bound;
    }

    public boolean isUsed() {
        return used;
    }

    public void setUsed(boolean used) {
        this.used = used;
    }
}
