package hk.advanpro.cloud.api.result.oc;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 快照
 */
public class DisplaySnapshotResult implements Serializable {

    private long id;//sku商品主键

    @JSONField(name = "product_spu_id")
    private String productpuSpuId;

    @JSONField(name = "product_title")
    private String productTitle;//商品名称

    @JSONField(name = "product_attrs")
    private JSONObject productAttrs;//商品属性

    private String category;//所属分类

    private String phtotos;//商品图片url数组

    private float price;//售卖价格

    @JSONField(name = "original_price")
    private float originalPrice;//原始价格

    private String creator_name;
    private Date modify_time;
    private Date create_time;

    private Map<String,String> attrs;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getProductTitle() {
        return productTitle;
    }

    public void setProductTitle(String productTitle) {
        this.productTitle = productTitle;
    }

    public JSONObject getProductAttrs() {
        return productAttrs;
    }

    public void setProductAttrs(JSONObject productAttrs) {
        this.productAttrs = productAttrs;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getPhtotos() {
        return phtotos;
    }

    public void setPhtotos(String phtotos) {
        this.phtotos = phtotos;
    }

    public float getPrice() {
        return price;
    }

    public void setPrice(float price) {
        this.price = price;
    }

    public float getOriginalPrice() {
        return originalPrice;
    }

    public void setOriginalPrice(float originalPrice) {
        this.originalPrice = originalPrice;
    }
}
