package hk.advanpro.cloud.api.result.oss;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;

/**
 * Created by jalin on 2017/10/18.
 */

public class FileUploadResult implements Serializable {
    @JSONField(name = "sha1")
    private String sha1;
    /**
     * 服务器生成的远端文件名称。（如果是永久存储使用阿里oss服务器地址，如果是临时存储使用oss.unifitapp.com为服务器地址。)
     */
    @JSONField(name = "filename")
    private String fileName;
    /**
     * 文件的大小。
     */
    @JSONField(name = "size")
    private long size;
    /**
     * 上传文件时选择的本地文件名称。
     */
    @JSONField(name = "originalname")
    private String originalName;
    /**
     * 上传文件的文件类型说明。
     */
    @JSONField(name = "mimeType")
    private String mimetype;
    @JSONField(name = "md5")
    private String md5;

    public String getSha1() {
        return sha1;
    }

    public void setSha1(String sha1) {
        this.sha1 = sha1;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public long getSize() {
        return size;
    }

    public void setSize(long size) {
        this.size = size;
    }

    public String getOriginalName() {
        return originalName;
    }

    public void setOriginalName(String originalName) {
        this.originalName = originalName;
    }

    public String getMimetype() {
        return mimetype;
    }

    public void setMimetype(String mimetype) {
        this.mimetype = mimetype;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }
}
