package hk.advanpro.cloud.api.result.oss;

import java.io.Serializable;
import java.util.List;

public class GetAreasResult implements Serializable {

    private String code;

    /**
     * 省份名称
     */
    private String name;
    /**
     * 省份下的各城市信息
     */
    private List<City> city;


    public static class City {

        private String code;

        /**
         * 城市名称
         */
        private String name;
        /**
         * 区、县
         */
        private List<String> area;

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public List<String> getArea() {
            return area;
        }

        public void setArea(List<String> area) {
            this.area = area;
        }
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<City> getCity() {
        return city;
    }

    public void setCity(List<City> city) {
        this.city = city;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
