package hk.advanpro.cloud.api.result.oss;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;

/**
 * oss文件目录的OSS信息
 * Created by jalin on 2017/9/20.
 */

public class OssPathInfoResult implements Serializable {

    @JSONField(name = "end_point")
    private String endPoint;

    @JSONField(name = "bucket")
    private String bucket;

    /**
     * oss地址
     *
     * @return String
     */
    public String getEndPoint() {
        return endPoint;
    }

    public void setEndPoint(String endPoint) {
        this.endPoint = endPoint;
    }

    /**
     * 节点名称
     *
     * @return String
     */
    public String getBucket() {
        return bucket;
    }

    public void setBucket(String bucket) {
        this.bucket = bucket;
    }
}
