package hk.advanpro.cloud.api.result.qc;

import java.io.Serializable;
import java.util.List;

/**
 * 获取检测项详情
 * Created by jason on 2018/7/18
 */
public class TestProjectResult implements Serializable {
    private long id;
    private String name;
    private List<ProjectItem> projects;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<ProjectItem> getProjects() {
        return projects;
    }

    public void setProjects(List<ProjectItem> projects) {
        this.projects = projects;
    }

    public static class ProjectItem {
        /**
         * 检测项
         * -mac:mac地址检测，
         * -adc:ADC值检测，
         * -acc:ACC检测
         */
        private String project;

        /**
         * 类型
         * -ble:蓝牙
         * -com:串口
         */
        private String type;

        private String values;

        public String getProject() {
            return project;
        }

        public void setProject(String project) {
            this.project = project;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public String getValues() {
            return values;
        }

        public void setValues(String values) {
            this.values = values;
        }
    }

}
