package hk.advanpro.cloud.api.result.sac;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.Date;

/**
 * Created by jalin on 2017/10/13.
 */

public class DailyStepsResult implements Serializable {
    @JSONField(name = "date")
    private Date date;

    @JSONField(name = "step_count")
    private int stepCount;

    @JSONField(name = "walk_count")
    private int walkCount;

    @JSONField(name = "walk_duration")
    private int walkDuration;

    @JSONField(name = "walk_distance")
    private double walkDistance;

    @JSONField(name = "walk_calorie")
    private double walkCalorie;

    @JSONField(name = "run_count")
    private int runCount;

    @JSONField(name = "run_duration")
    private int runDuration;

    @JSONField(name = "run_distance")
    private double runDistance;

    @JSONField(name = "run_calorie")
    private double runCalorie;

    @JSONField(name = "run_times")
    private int runTimes;

    @JSONField(name = "stand_duration")
    private int standDuration;

    @JSONField(name = "sit_duration")
    private int sitDuration;

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public int getStepCount() {
        return stepCount;
    }

    public void setStepCount(int stepCount) {
        this.stepCount = stepCount;
    }

    public int getWalkCount() {
        return walkCount;
    }

    public void setWalkCount(int walkCount) {
        this.walkCount = walkCount;
    }

    public int getWalkDuration() {
        return walkDuration;
    }

    public void setWalkDuration(int walkDuration) {
        this.walkDuration = walkDuration;
    }

    public double getWalkDistance() {
        return walkDistance;
    }

    public void setWalkDistance(double walkDistance) {
        this.walkDistance = walkDistance;
    }

    public double getWalkCalorie() {
        return walkCalorie;
    }

    public void setWalkCalorie(double walkCalorie) {
        this.walkCalorie = walkCalorie;
    }

    public int getRunCount() {
        return runCount;
    }

    public void setRunCount(int runCount) {
        this.runCount = runCount;
    }

    public int getRunDuration() {
        return runDuration;
    }

    public void setRunDuration(int runDuration) {
        this.runDuration = runDuration;
    }

    public double getRunDistance() {
        return runDistance;
    }

    public void setRunDistance(double runDistance) {
        this.runDistance = runDistance;
    }

    public double getRunCalorie() {
        return runCalorie;
    }

    public void setRunCalorie(double runCalorie) {
        this.runCalorie = runCalorie;
    }

    public int getRunTimes() {
        return runTimes;
    }

    public void setRunTimes(int runTimes) {
        this.runTimes = runTimes;
    }

    public int getStandDuration() {
        return standDuration;
    }

    public void setStandDuration(int standDuration) {
        this.standDuration = standDuration;
    }

    public int getSitDuration() {
        return sitDuration;
    }

    public void setSitDuration(int sitDuration) {
        this.sitDuration = sitDuration;
    }
}
