package hk.advanpro.cloud.api.result.soc;

import com.alibaba.fastjson.annotation.JSONField;
import com.google.gson.JsonObject;

import java.io.Serializable;

/**
 * 根据名称获取频道
 * Created by jason on 2018/7/3
 */
public class ChannelsResult implements Serializable {
    /**
     * 频道主键
     */
    @JSONField(name = "id")
    private String id;

    /**
     * 应用编码
     */
    @JSONField(name = "app_code")
    private String appCode;

    /**
     * 频道图标
     */
    @JSONField(name = "icon")
    private String icon;

    /**
     * 频道名称
     */
    @JSONField(name = "name")
    private String name;

    /**
     * 频道编码
     */
    @JSONField(name = "code")
    private String code;

    /**
     * 频道类型
     */
    @JSONField(name = "type")
    private int type;

    /**
     * 状态  - 0：禁用； - 1：启用
     */
    @JSONField(name = "status")
    private int status;

    /**
     * 附加信息
     */
    @JSONField(name = "extras")
    private JsonObject extras;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public JsonObject getExtras() {
        return extras;
    }

    public void setExtras(JsonObject extras) {
        this.extras = extras;
    }
}
