package hk.advanpro.cloud.api.result.uc;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 用户登录请求接口返回数据对象。
 * Created by yejianfei on 2017/8/12.
 */

public class LoginResult implements Serializable {

    @JSONField(name = "uid")
    private String uid;

    @JSONField(name = "token")
    private String token;

    @JSONField(name = "default_audiences")
    private List<String> defaultAudiences = new ArrayList<>();

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public List<String> getDefaultAudiences() {
        return defaultAudiences;
    }

    public void setDefaultAudiences(List<String> defaultAudiences) {
        this.defaultAudiences = defaultAudiences;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }
}
