package hk.advanpro.cloud.api.result.uc;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * 用户注册请求接口返回数据对象。
 * Created by yejianfei on 2017/8/12.
 */

public class UserRegisterResult implements Serializable {

    @JSONField(name = "id")
    private Long id;

    @JSONField(name = "account")
    private String account;

    @JSONField(name = "extras")
    private Map<String, String> extras = new HashMap<>();


    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public Map<String, String> getExtras() {
        return extras;
    }

    public void setExtras(Map<String, String> extras) {
        this.extras = extras;
    }

    public Long getId() {return id;}

    public void setId(Long id) {this.id = id;}
}
